Subject: Re: New Dental Rates
From: "Michael B" <[email-masked]>
To: "Labor Law" <[email-masked]>
Date: Mon, 17 Nov 2014 10:39:30 -0500

I am having her look.  I will let you know if we need anything further.
Thank you,
Michael B
LLPS

From: Labor Law 
Sent: Monday, November 17, 2014 10:36 AM
To: Michael B 
Subject: Re: New Dental Rates

Yes, I believe it is January 2015 for the new rates.
I don't know who has it.  In fact I asked Ted on Friday and he didn't know off hand either.  Ha.

Amber should have a paper invoice there somewhere that shows who has it.

On Mon, Nov 17, 2014 at 10:34 AM, Michael B <[email-masked]> wrote:

  Looks like this goes into effect in January.  Can you send me over a list of the people on this and which coverage they have?  No rush...
  Thank you,
  Michael B
  LLPS

  From: Labor Law 
  Sent: Friday, November 14, 2014 1:22 PM
  To: Michael B 
  Subject: Re: New Dental Rates

  Yes!  Can you believe it??

  On Fri, Nov 14, 2014 at 1:06 PM, Michael B <[email-masked]> wrote:

    Hello Angela.
    So they went down?  Can you tell me who has it so that I can get it adjusted in the payroll?  Mucho grande latte!  (see, I am multi-linguistic).  
    Thank you,
    Michael B
    LLPS

    From: Labor Law 
    Sent: Friday, November 14, 2014 12:53 PM
    To: Mike 
    Subject: New Dental Rates

    Here are the new dental rates effective December.